
var LOGFILE_NAME = "event-mailer.log";
var l = new Logger(LOGFILE_NAME);


function sendMyMail(baseNode)
{
	var mailParamNodes = baseNode.getChild('message');
	
	if (mailParamNodes.getChild('messageType')!=null) {
		if (mailParamNodes.getChild('messageType').getValue()=='email') {
			var parameter={};
			var prop = mailParamNodes.getChild('receiver');
			var to=prop.getValue();
			prop = mailParamNodes.getChild('message');
			var body=prop.getValue();
			prop = mailParamNodes.getChild('subject');
			var subject=prop.getValue();
			
			l.logln("Email-Mailer: send Email an: " + to + " Subject " +subject + " Body "+ body);
			var evt = new Event("eventmailerexecute",{'to':to,'body':body,'subject':subject,'from':'dSS-Benachrichtigung'});			
			evt.raise();
			
			
		} 
	}}

function checkScene() {
	// from, to, cc, bcc, subject, body

	var zone = raisedEvent.source.zoneID;
	var group = raisedEvent.source.groupID;
	var scene = raisedEvent.parameter.sceneID;
	if (zone == null)
		return;
	if (group == null)
		return;
	if (scene == null)
		return;

	Property.load();
	var sendingProperty = Property.getNode('values');
	if (sendingProperty) {
		var sendingSubProp = sendingProperty.getChildren();
		for ( var iIndex = 0; iIndex < sendingSubProp.length; iIndex++) {

			var baseProp = sendingSubProp[iIndex];
			var fBreak = false;
			if (baseProp.getChild('disabled')!=null)
				if (baseProp.getChild('disabled').getValue() == true)
					fBreak = true;

			if (!fBreak) {
				var triggerProp = baseProp.getChild('trigger');
				if (triggerProp) {
					var triggerZone = triggerProp.getChild('zone');
					var triggerGroup = triggerProp.getChild('group');
					var triggerScene = triggerProp.getChild('scene');
					if (triggerZone != null)
						if (triggerGroup != null)
							if (triggerScene != null)
								if (triggerZone.getValue() == zone)
									if (triggerGroup.getValue() == group)
										if (triggerScene.getValue() == scene) {
											l.logln("Email: found matching subscription");
											sendMyMail(baseProp);
										}
				}
			}
		}
	}
}

if (raisedEvent.name == 'event-mailer') {
	Property.store();
} else if (raisedEvent.name == 'callScene') {
	checkScene();
}
else if (raisedEvent.name == 'running') {
	Property.load();
}
